| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IAnimationEndCallBack Class Reference

Callback interface for catching events of ended animations. More...

`#include <IAnimatedMeshSceneNode.h>`

Inheritance diagram for irr::scene::IAnimationEndCallBack:

List of all members.

## Public Member Functions

- virtual void OnAnimationEnd (IAnimatedMeshSceneNode *node)=0
    Will be called when the animation playback has ended.

## Detailed Description

Callback interface for catching events of ended animations.

Implement this interface and use IAnimatedMeshSceneNode::setAnimationEndCallback to be able to be notified if an animation playback has ended.

Definition at line 39 of file IAnimatedMeshSceneNode.h.

## Member Function Documentation

virtual void irr::scene::IAnimationEndCallBack::OnAnimationEnd | ( | IAnimatedMeshSceneNode * | node | ) | `[pure virtual]`

Will be called when the animation playback has ended.

See IAnimatedMeshSceneNode::setAnimationEndCallback for more informations.

Parameters:

  node,: | Node of which the animation has ended.

The documentation for this class was generated from the following file:

- IAnimatedMeshSceneNode.h